﻿using System;
using System.Collections.ObjectModel;

namespace TaskPageChase
{
	public class TaskPageViewModel : ObservableBase
	{
		public TaskPageViewModel()
		{
			Tasks = new ObservableCollection<TaskModel> { new TaskModel {Name = "foo"}}; // NOTICE THE INITIAL FOO (for testing)
			Tasks.Add(new TaskModel { Name = "bar" });
			Tasks.Add(new TaskModel { Name = "Chase" });
		}

		private ObservableCollection<TaskModel> _tasks;
		public ObservableCollection<TaskModel> Tasks
		{ 
			get
			{
				return _tasks;
			}
			set
			{
				SetField(ref _tasks, value, "Tasks");
			}
		}
	}

	public class TaskModel
	{
		public string Name { get; set; }
	}
}

